Name: gkermit
Summary: A utility for transferring files using the Kermit protocol.
Group: Applications/Communications
Source: ftp://kermit.columbia.edu/kermit/archives/gkermit.tar.gz
Patch0: gkermit-1.0-redhat.patch
Copyright: GPL
Version: 1.0
Release: 3
BuildRoot: /var/tmp/%{name}-root
Url: http://www.columbia.edu/kermit/gkermit.html

%description
G-Kermit is a UNIX program for transferring files using the Kermit
protocol. Kermit is a file transfer protocol for transferring text and
binary files without errors between diverse types of computers and
over potentially hostile communication links.

G-Kermit features include: support for text and binary file transfer on
both 7-bit and 8-bit connections; files can be transferred singly or
in groups; automatic startup configuration via the GKERMIT environment
variable; and configurability as an external protocol.

Kermit protocol features include: automatic peer recognition,
streaming on reliable connections; selectable packet length from 40 to
9000 bytes (4000 is the default); single shifts for 8-bit data on
7-bit connections; control-character prefixing for control-character
transparency; control-character unprefixing for increased speed
(incoming only); compression of repeated bytes; and per-file and batch
cancellation.

G-Kermit does not support the following features: making connections:
character-set translation; interactive commands and scripting; and
file date-time stamps.

%prep
%setup -c
%patch0 -p1 -b .redhat

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(2755,root,uucp) /usr/bin/gkermit
/usr/man/man1/gkermit.1*

%changelog
* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- make gkermit setgid uucp

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 13 2000 Cristian Gafton <gafton@redhat.com>
- create first version of the package

